summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_l2.sh22
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh4
2 files changed, 26 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_l2.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_l2.sh
index b3d53aa..a5bd61e 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_l2.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_l2.sh
@@ -36,3 +36,25 @@ function test_basic
print_status $rc "No ICM response!"
exit $test_result
}
+
+function test_single_icmp
+{
+ if [ "$3" != "no_setup" ] ; then
+ basic_topo_setup no_odl
+ fi
+
+ maybe_pause
+ test_result=1
+
+ ip netns exec vppns1 "${1}" -c 1 "${2}"
+ rc=$?
+
+ check_counters "vpp1" "10" $3 $4 $5 $6 $7 $8
+ assert_rc_ok $? "basic_topo_clean no_odl" "Counters do not match!"
+
+ # test done
+ maybe_pause
+ basic_topo_clean no_odl
+ print_status $rc "No ICM response!"
+ exit $test_result
+}
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
index 63c8b5a..39f4f4c 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
@@ -21,6 +21,10 @@ function test_single_icmp
ip netns exec vppns1 "${1}" -c 1 "${2}"
rc=$?
+ # SEID DEID LLOC RLOC PKTS BYTES
+ check_counters "vpp1" "0" $3 $4 $5 $6 $7 $8
+ assert_rc_ok $? "2_node_topo_clean no_odl" "Counters do not match!"
+
# test done
maybe_pause
2_node_topo_clean no_odl